function [y,z]=filtrage_RII(x,b,a,fe);

% [y,z]=filtrage_RII(x,b,a,fe);
% Applique un filtre RII dfini par b et a au signal x
% fe frquence d'chantillonnage paramtre optionnel:
% - si absent, reprsentation en frquences normalises
% - si prsent, reprsentation en vraies frquences (Hz)
% y sortie du filtre
% z sortie du filtre avec dphasage compens

if nargin==3,
    fe = 1;
end

L=length(x);

y=filter(b,a,x);

figure(1)
subplot(311)
tfx = fft(x);
plot((0:1/L:0.5)*fe,2*abs(tfx(1:L/2+1))/L)
title('spectre amplitude entre')
if nargin==3,
    xlabel('freq. normalisee')
else 
    xlabel('Hz')
end
subplot(312)
G = freqz(b,a,2000);
plot(linspace(0,0.5,2000)*fe,abs(G))
title('reponse en amplitude filtre')
if nargin==3,
    xlabel('freq. normalisee')
else 
    xlabel('Hz')
end
subplot(313)
tfx = fft(y);
plot((0:1/L:0.5)*fe,2*abs(tfx(1:L/2+1))/L)
title('spectre amplitude sortie')
if nargin==3,
    xlabel('freq. normalisee')
else 
    xlabel('Hz')
end
subplot(111)

figure(2)
subplot(211)
plot((1:L)/fe,x,(1:L)/fe,y,'r')
title('entree (bleu) sortie(rouge)')
if nargin==3,
    xlabel('echantillons')
else 
    xlabel('secondes')
end
subplot(212)
z=filtfilt(b,a,x);
plot((1:L)/fe,x,(1:L)/fe,z,'r')
title('entree (bleu) sortie(rouge) - dephasage compens')
if nargin==3,
    xlabel('echantillons')
else 
    xlabel('secondes')
end
subplot(111)
